aboutsummaryrefslogtreecommitdiffstats
path: root/main/pkgconf/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-02-25 19:31:17 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-02-25 19:31:17 +0000
commit88d673deb3288f2b0539ac0347d6532f3bfe79da (patch)
tree0cd991cb2b0704b5db68c1d625d0a8f8c4ad267f /main/pkgconf/APKBUILD
parent9f897e6ac76f2b78e4e966a6b23a2769b27e34ba (diff)
downloadaports-88d673deb3288f2b0539ac0347d6532f3bfe79da.tar.gz
aports-88d673deb3288f2b0539ac0347d6532f3bfe79da.tar.bz2
aports-88d673deb3288f2b0539ac0347d6532f3bfe79da.tar.xz
main/pkgconf: make use of check() support
Diffstat (limited to 'main/pkgconf/APKBUILD')
-rw-r--r--main/pkgconf/APKBUILD13
1 files changed, 6 insertions, 7 deletions
diff --git a/main/pkgconf/APKBUILD b/main/pkgconf/APKBUILD
index 401207cf9d..f56db1f579 100644
--- a/main/pkgconf/APKBUILD
+++ b/main/pkgconf/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=pkgconf
pkgver=1.2.2
-pkgrel=0
+pkgrel=1
pkgdesc="development framework configuration tools"
url="https://github.com/pkgconf/pkgconf"
arch="all"
@@ -15,9 +15,7 @@ replaces="pkgconfig"
provides="pkgconfig=1"
source="https://distfiles.dereferenced.org/pkgconf/pkgconf-$pkgver.tar.xz"
subpackages="$pkgname-doc"
-if [ "$CHOST" = "$CBUILD" ]; then
- makedepends="$makedepends kyua atf"
-fi
+checkdepends="kyua atf"
builddir="$srcdir"/pkgconf-$pkgver
@@ -34,9 +32,10 @@ build() {
--with-pkg-config-dir=/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
|| return 1
make || return 1
- if [ "$CHOST" = "$CBUILD" ]; then
- make check || return 1
- fi
+}
+
+check() {
+ make check || return 1
}
package() {